/* prefixDelegationConfig.js - API library for prefix list configuration */

/* Copyright 2010 TeamF1, Inc. */

/*
modification history 
------------------------
01a,22Feb12,mvb  written. 
*/

function prefixDelegationValidate ()
    {
    var txtFieldIdArr = new Array ();
    txtFieldIdArr[0]= "txtPrefix,Please enter a valid IPv6 Prefix";
    txtFieldIdArr[1]= "txtIpv6PreLen,Please enter a valid IPv6 Prefix Length";
    
    if (txtFieldArrayCheck (txtFieldIdArr) == false)
        return false;

    if(ipv6Validate('txtPrefix', false, true, '') == false)
        return false;

    if(numericValueRangeCheck (document.getElementById ('txtIpv6PreLen'), '', '', 0, 128, true, '', '') == false)
        return false;
		
    return true;
    }
